aboutsummaryrefslogtreecommitdiffstats
path: root/testing/inkscape/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-06-11 19:36:54 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-06-11 19:36:54 +0000
commit8fdf06aa29d89158455b4fb3e990754f7d90d162 (patch)
tree3d820f4d610c407577add12cf5f82f5a740fbc69 /testing/inkscape/APKBUILD
parent173796e5e83e2958d115761a784cfb552353f9f7 (diff)
downloadaports-8fdf06aa29d89158455b4fb3e990754f7d90d162.tar.gz
aports-8fdf06aa29d89158455b4fb3e990754f7d90d162.tar.bz2
aports-8fdf06aa29d89158455b4fb3e990754f7d90d162.tar.xz
testing/incskape: new aport
A vector-based drawing program - svg compliant http://inkscape.sourceforge.net/
Diffstat (limited to 'testing/inkscape/APKBUILD')
-rw-r--r--testing/inkscape/APKBUILD53
1 files changed, 53 insertions, 0 deletions
diff --git a/testing/inkscape/APKBUILD b/testing/inkscape/APKBUILD
new file mode 100644
index 0000000000..d8c5f2452f
--- /dev/null
+++ b/testing/inkscape/APKBUILD
@@ -0,0 +1,53 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=inkscape
+pkgver=0.47
+pkgrel=1
+pkgdesc="A vector-based drawing program - svg compliant"
+url="http://inkscape.sourceforge.net/"
+license="GPL LGPL"
+makedepends="
+poppler-gtk-dev
+imagemagick-dev
+gtkspell-dev
+gc-dev
+gtkmm-dev
+libxslt-dev
+gsl-dev
+py-xml
+popt-dev
+lcms-dev
+libxml2-dev
+boost-dev
+"
+depends="desktop-file-utils"
+install=
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz
+ 50-poppler-API.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ patch -p1 -i "$srcdir"/50-poppler-API.patch || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --with-python \
+ --with-perl \
+ --without-gnome-vfs \
+ --with-xft \
+ --enable-lcms \
+ --enable-poppler-cairo \
+ --disable-dependency-tracking \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="916c85b501bcfb0ae61fcf7318f36348 inkscape-0.47.tar.gz
+b447272c9b282b49e86dca24c2581065 50-poppler-API.patch"